Subject: Makita 12" Planer

From: [email-masked] (Ronald C. Griffin)
Date: Mon, 10 Feb 1997 11:37:14 -0600

For those of you who are planer shopping, I just received the Makita.  $500
but seemingly worth the $.  I mailordered it (although I had never seen
one) based on the review in Shopnotes.  
I'm impressed.  Nicely finished, compact, easy to get ahold of and carry,
plug-in and plane right out of the box.  Beautiful results.  Comes with
little magnetic doo-ma-jiggies for knife setting, but I haven't needed to
do that yet.
A big difference between it and the competition is that the cutterhead is
fixed and you adjust the bed up and down on the Makita.  This has both pros
and cons when you think about it, but the pros outweigh for me.
-- 
Ronald C. Griffin
Texas A&M University
College Station, TX  77843-2124
409-845-7049
409-845-7122 (fax)